cascading.flow.stream.duct

## Class Stage<Incoming,Outgoing>

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>

Direct Known Subclasses:
  BoundaryStage, ElementStage

    public class Stage<Incoming,Outgoing>
    extends Duct<Incoming,Outgoing>

### Field Summary

### Fields inherited from class cascading.flow.stream.duct.Duct

`next`

### Constructor Summary

Constructors
Constructor and Description
`Stage()`

### Method Summary

Methods
`void` `receive(Duct previous, int ordinal, Incoming incoming)`

### Methods inherited from class cascading.flow.stream.duct.Duct

`bind, cleanup, complete, getNext, getNextFor, initialize, prepare, receiveFirst, start, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Stage

    public Stage()

### Method Detail

#### receive

    public void receive(Duct previous,
               int ordinal,
               Incoming incoming)

Specified by:
  `receive` in class `Duct<Incoming,Outgoing>`